[package]
name = "veloren-server"
version = "0.6.0"
authors = ["Joshua Barretto <joshua.s.barretto@gmail.com>"]
edition = "2018"

[features]
worldgen = []
default = ["worldgen"]

[dependencies]
common = { package = "veloren-common", path = "../common" }
world = { package = "veloren-world", path = "../world" }
network = { package = "veloren_network", path = "../network", features = ["metrics"], default-features = false }

specs-idvs = { git = "https://gitlab.com/veloren/specs-idvs.git", branch = "specs-git" }

tracing = "0.1"
specs = { git = "https://github.com/amethyst/specs.git", features = ["shred-derive"], rev = "7a2e348ab2223818bad487695c66c43db88050a5" }
vek = "0.11.0"
uvth = "3.1.1"
futures-util = "0.3"
futures-executor = "0.3"
futures-timer = "2.0"
lazy_static = "1.4.0"
scan_fmt = "0.2.4"
ron = { version = "0.6", default-features = false }
serde = { version = "1.0.110", features = ["derive"] }
serde_json = "1.0.50"
rand = { version = "0.7", features = ["small_rng"] }
chrono = "0.4.9"
hashbrown = { version = "0.7.2", features = ["rayon", "serde", "nightly"] }
crossbeam = "0.7.2"
prometheus = { version = "0.9", default-features = false}
tiny_http = "0.7.0"
portpicker = { git = "https://github.com/xMAC94x/portpicker-rs" }
authc = { git = "https://gitlab.com/veloren/auth.git", rev = "223a4097f7ebc8d451936dccb5e6517194bbf086" }
libsqlite3-sys = { version = "0.18", features = ["bundled"] }
diesel = { version = "1.4.3", features = ["sqlite"] }
diesel_migrations = "1.4.0"
dotenv = "0.15.0"
